import { GraphQLSchema } from "graphql";
export interface GraphQLTypescriptCodegenConfig {
    directory: string;
    includes: string[];
    quiet: boolean;
    allowUnusedFragments: boolean;
    embedImports: boolean;
    schemaPathOrURL: string;
    schema: GraphQLSchema | undefined;
    token: string | undefined;
}
export declare function graphqlTypescriptCodegen(config: GraphQLTypescriptCodegenConfig): Promise<void>;
export interface ContentModelTypescriptCodegenConfig {
    input: string;
    output: string;
    quiet: boolean;
}
export declare function contentModelTypescriptCodegen(config: ContentModelTypescriptCodegenConfig): Promise<void>;
